# Uses of Interface
org.eclipse.net4j.tcp.ITCPConnector

Packages that use ITCPConnector
Package
Description
org.eclipse.net4j.tcp
Transport layer extension with support for TCP socket connections.
org.eclipse.net4j.tcp.ssl
Transport layer extension with support for TCP/SSL socket connections.

## Uses of ITCPConnector in org.eclipse.net4j.tcp

Methods in org.eclipse.net4j.tcp that return ITCPConnector
Modifier and Type
Method
Description
`ITCPConnector`
ITCPNegotiationContext.`getConnector()`
`static ITCPConnector`
TCPUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`
Constructors in org.eclipse.net4j.tcp with parameters of type ITCPConnector
Modifier
Constructor
Description
``
`ConnectorData(ITCPConnector connector)`

## Uses of ITCPConnector in org.eclipse.net4j.tcp.ssl

Methods in org.eclipse.net4j.tcp.ssl that return ITCPConnector
Modifier and Type
Method
Description
`static ITCPConnector`
SSLUtil.`getConnector(org.eclipse.net4j.util.container.IManagedContainer container, String description)`